# Get Personalities

> Retrieve personalities for a specific identity

## Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the identity
</ParamField>

## Response

<ResponseField name="data" type="array">
  Array of visitor persona objects
  
  <Expandable title="Persona Object">
    <ResponseField name="id" type="string">
      Unique identifier for the persona
    </ResponseField>
    
    <ResponseField name="visitor_id" type="string">
      Associated visitor ID
    </ResponseField>
    
    <ResponseField name="score" type="number">
      Persona score
    </ResponseField>
    
    <ResponseField name="personality" type="object">
      Personality traits and analysis
    </ResponseField>
    
    <ResponseField name="features" type="object">
      Feature analysis
    </ResponseField>
    
    <ResponseField name="learning_percentage" type="number">
      Learning progress percentage
    </ResponseField>
    
    <ResponseField name="created_at" type="string">
      ISO 8601 timestamp of creation
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>

```bash cURL
curl -X GET "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009/personalities" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY"
```

```javascript JavaScript
const response = await fetch(
  'https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009/personalities',
  {
    headers: {
      'Authorization': 'Bearer orwel_sk_YOUR_KEY'
    }
  }
);

const data = await response.json();
```

</RequestExample>

<ResponseExample>

```json Response
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "visitor_id": "660e8400-e29b-41d4-a716-446655440001",
      "score": 85.5,
      "personality": {
        "type": "Analyst",
        "traits": ["detail-oriented", "logical"]
      },
      "features": {},
      "learning_percentage": 0.75,
      "created_at": "2025-01-10T08:00:00Z"
    }
  ]
}
```

</ResponseExample>
